import { Client } from '../core';
import { FeedScroller } from '../scrollers';
import { FeedHit } from '../entities';
import { FeedReactionType } from '../types';
export declare class FeedRepository {
    private client;
    constructor({ client }: {
        client: Client;
    });
    getFeed({ skip, limit }: {
        skip?: number;
        limit?: number;
    }): FeedScroller;
    fetchFeed({ skip, limit }: {
        skip?: number;
        limit?: number;
    }): Promise<FeedHit[]>;
    addFeedReaction({ threadUrn, reactionType, }: {
        reactionType?: FeedReactionType;
        threadUrn: string;
    }): Promise<void>;
    removeFeedReaction({ threadUrn }: {
        threadUrn: string;
    }): Promise<void>;
    updateFeedReaction({ threadUrn, reactionType, }: {
        reactionType: FeedReactionType;
        threadUrn: string;
    }): Promise<void>;
}
