import { Client } from '../core/client';
import { LinkedInMiniProfile } from '../entities/linkedin-mini-profile.entity';
import { MiniProfile, ProfileId } from '../entities/mini-profile.entity';
import { Profile } from '../entities/profile.entity';
import { IndividualProfile } from '../entities/individual-profile.entity';
export declare const transformMiniProfile: (miniProfile: LinkedInMiniProfile) => MiniProfile;
export declare const getProfilesFromResponse: <T extends {
    included: (LinkedInMiniProfile | {
        $type: string;
    })[];
}>(response: T) => Record<ProfileId, MiniProfile>;
export declare class ProfileRepository {
    private client;
    constructor({ client }: {
        client: Client;
    });
    getProfile({ publicIdentifier }: {
        publicIdentifier: string;
    }): Promise<Profile>;
    getOwnProfile(): Promise<Profile | null>;
    getIndividualProfile(id: string): Promise<IndividualProfile | null>;
    viewProfile(publicProfileId: string, targetProfileMemberUrnId?: string | null, networkDistance?: number | null): Promise<boolean>;
}
