import { AxiosResponse } from 'axios';
import { LinkedInRequest } from '../core/linkedin-request';
export declare class AuthRequest {
    private request;
    metadata: {
        clientApplicationInstance?: {
            version: string;
            trackingId: string;
            applicationUrn: string;
        };
        clientPageInstanceId?: string;
    };
    constructor({ request }: {
        request: LinkedInRequest;
    });
    getAnonymousAuth(): Promise<AxiosResponse>;
    authenticateUser({ username, password, sessionId, }: {
        username: string;
        password: string;
        sessionId: string;
    }): Promise<AxiosResponse>;
    getMetadata(): Promise<{
        clientApplicationInstance?: {
            version: string;
            trackingId: string;
            applicationUrn: string;
        } | undefined;
        clientPageInstanceId?: string | undefined;
    }>;
}
