import { GetFeedsResponse } from '../responses/feed.response.get';
import { LinkedInRequest } from '../core/linkedin-request';
import { FeedReactionType } from '../types';
export declare class FeedRequest {
    private request;
    constructor({ request }: {
        request: LinkedInRequest;
    });
    getFeeds({ skip, limit }?: {
        skip?: number | undefined;
        limit?: number | undefined;
    }): Promise<GetFeedsResponse>;
    private feedReaction;
    addFeedReaction({ threadUrn, reactionType, }: {
        reactionType?: FeedReactionType;
        threadUrn: string;
    }): Promise<void>;
    removeFeedReaction({ threadUrn }: {
        threadUrn: string;
    }): Promise<void>;
    updateFeedReaction({ threadUrn, reactionType, }: {
        reactionType: FeedReactionType;
        threadUrn: string;
    }): Promise<void>;
}
