import { ProfileId } from '../entities';
import { LinkedInRequest } from '../core/linkedin-request';
import { ConversationId } from '../entities/conversation.entity';
import { SendMessageResponse } from '../responses/message.response.post';
import { GetMessagesResponse } from '../responses/messages.response.get';
export declare class MessageRequest {
    private request;
    constructor({ request }: {
        request: LinkedInRequest;
    });
    sendMessage({ profileId, conversationId, text, attachments, }: {
        profileId?: ProfileId;
        conversationId?: ConversationId;
        text: string;
        attachments?: any[];
    }): Promise<SendMessageResponse>;
    getMessages({ conversationId, createdBefore, }: {
        conversationId: ConversationId;
        createdBefore?: Date;
    }): Promise<GetMessagesResponse>;
    getAttachment({ url }: {
        url: string;
    }): Promise<unknown>;
    uploadAttachmentMetadata({ filename, fileSize }: {
        filename: string;
        fileSize: number;
    }): Promise<unknown>;
    uploadAttachment({ file, uploadUrl, fileSize, mimetype, }: {
        file: any;
        uploadUrl: string;
        fileSize: number;
        mimetype: string;
    }): Promise<unknown>;
}
