import { LinkedInRequest } from '../core/linkedin-request';
import { GetOwnProfileResponse } from '../responses/own-profile.response.get';
import { GetProfileResponse } from '../responses/profile.response.get';
import { GetIndividualProfileResponse, GetProfileNetworkInfoResponse } from '../responses';
export declare class ProfileRequest {
    private request;
    constructor({ request }: {
        request: LinkedInRequest;
    });
    getProfile({ publicIdentifier }: {
        publicIdentifier: string;
    }): Promise<GetProfileResponse>;
    getIndividualProfile(id: string): Promise<GetIndividualProfileResponse>;
    getOwnProfile(): Promise<GetOwnProfileResponse>;
    track(eventBody: any, eventInfo: any): Promise<boolean>;
    getProfileNetworkInfo(publicProfileId: string): Promise<GetProfileNetworkInfoResponse>;
    viewProfile(publicProfileId: string, targetProfileMemberUrnId?: string | null, networkDistance?: number | null): Promise<boolean>;
}
