import { GetSalesNavSeatsResponse } from '../responses/get-sales-nav-seats.response.get';
import { EditSalesNavSeatResponse } from '../responses/edit-sales-nav-seat.response.post';
import { AddSalesNavSeatResponse } from '../responses/add-sales-nav-seat.response.post';
import { RemoveSalesNavSeatResponse } from '../responses/remove-sales-nav-seat.response.post';
import { LinkedInRequest } from '../core/linkedin-request';
export declare class SalesNavRequest {
    private request;
    constructor({ request }: {
        request: LinkedInRequest;
    });
    getSalesNavSeats(): Promise<GetSalesNavSeatsResponse>;
    editSalesNavSeat({ seatId, csrfToken, isSalesSeat, isAdminSeat, }: {
        seatId: number;
        csrfToken: string;
        isSalesSeat: boolean;
        isAdminSeat: boolean;
    }): Promise<EditSalesNavSeatResponse>;
    addSalesNavSeat({ emailAddress, csrfToken }: {
        emailAddress: string;
        csrfToken: string;
    }): Promise<AddSalesNavSeatResponse>;
    removeSalesNavSeat({ seatId, csrfToken }: {
        seatId: number;
        csrfToken: string;
    }): Promise<RemoveSalesNavSeatResponse>;
}
