"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesNavRequest = void 0;
class SalesNavRequest {
    constructor({ request }) {
        this.request = request;
    }
    getSalesNavSeats() {
        const queryParams = {
            start: 0,
            count: 15,
            sortBy: 'createdDate',
            filterBy: 'showAll',
            showTags: true,
            isTLE: false,
        };
        const url = 'https://www.linkedin.com/sales/admin/seats/feed';
        return this.request.get(url, {
            params: queryParams,
        });
    }
    editSalesNavSeat({ seatId, csrfToken, isSalesSeat, isAdminSeat, }) {
        const url = `https://www.linkedin.com/sales/admin/seats/${seatId}/edit?csrfToken=${csrfToken}`;
        return this.request.post(url, `returnSummary=true&adminSeat=${isAdminSeat}&salesSeat=${isSalesSeat}&reportAdminSeat=false`);
    }
    addSalesNavSeat({ emailAddress, csrfToken }) {
        const url = `https://www.linkedin.com/sales/admin/seats/add?csrfToken=${csrfToken}`;
        return this.request.post(url, `emails%5B%5D=${emailAddress}&grantAdmin=false&grantSalesSeat=true&grantTLESeat=false`);
    }
    removeSalesNavSeat({ seatId, csrfToken }) {
        const url = `https://www.linkedin.com/sales/admin/seats/remove?csrfToken=${csrfToken}`;
        return this.request.post(url, `seats%5B%5D=${seatId}&returnSummary=true`);
    }
}
exports.SalesNavRequest = SalesNavRequest;
//# sourceMappingURL=salesnav.request.js.map