"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesNavigatorConnectionRequest = void 0;
const config_1 = require("../config");
const utils_1 = require("../utils");
class SalesNavigatorConnectionRequest {
    constructor({ request }) {
        this.request = request;
    }
    sendConnectionRequest({ profileUrn, message = '', }) {
        const profileId = (0, utils_1.extractProfileId)(profileUrn);
        const url = `${config_1.linkedinSalesNavigatorUrl}/salesApiConnection`;
        const queryParams = {
            action: 'connectV2',
        };
        const payload = {
            member: profileId,
            message,
            isEmailRequired: false,
        };
        return this.request.post(url, payload, {
            params: queryParams,
        });
    }
}
exports.SalesNavigatorConnectionRequest = SalesNavigatorConnectionRequest;
//# sourceMappingURL=sn-connection.request.js.map