"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesNavigatorMessageRequest = void 0;
const config_1 = require("../config");
class SalesNavigatorMessageRequest {
    constructor({ request }) {
        this.request = request;
    }
    sendMessage({ subject, body, threadId, recipients, }) {
        const url = `${config_1.linkedinSalesNavigatorUrl}/salesApiMessageActions`;
        const queryParams = {
            action: 'createMessage',
        };
        const payload = {
            createMessageRequest: {
                ...(subject ? { subject } : {}),
                ...(body ? { body } : {}),
                ...(threadId ? { threadId } : {}),
                ...((recipients === null || recipients === void 0 ? void 0 : recipients.length) ? { recipients } : {}),
                copyToCrm: false,
            },
        };
        return this.request.post(url, payload, {
            params: queryParams,
        });
    }
}
exports.SalesNavigatorMessageRequest = SalesNavigatorMessageRequest;
//# sourceMappingURL=sn-message.request.js.map