"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformFeed = void 0;
const social_activity_count_entity_1 = require("../entities/social-activity-count.entity");
const entities_1 = require("../entities");
const repositories_1 = require("../repositories");
const utils_1 = require("../utils");
const transformFeed = (response) => {
    const { included = [] } = response;
    const feeds = included.filter(item => item.$type === entities_1.FEED_TYPE && (item === null || item === void 0 ? void 0 : item.commentary)).map(item => item);
    const miniProfiles = included.filter(item => item.$type === entities_1.MINI_PROFILE_TYPE).map(item => item);
    const socialActivityCounts = included
        .filter(item => item.$type === social_activity_count_entity_1.SOCIAL_ACTIVITY_COUNT_TYPE)
        .map(item => item);
    const socialDetails = included
        .filter(item => item.$type === entities_1.FEED_SOCIAL_DETAIL_TYPE)
        .map(item => item);
    const newResponse = feeds.map(item => {
        var _a, _b, _c, _d;
        const socialActivityCount = socialActivityCounts.find(activityItem => activityItem.socialDetailEntityUrn === item['*socialDetail']);
        const miniProfile = miniProfiles.find(profile => { var _a; return (profile === null || profile === void 0 ? void 0 : profile.objectUrn) === ((_a = item === null || item === void 0 ? void 0 : item.actor) === null || _a === void 0 ? void 0 : _a.urn); });
        const socialDetail = socialDetails.find(detail => (detail === null || detail === void 0 ? void 0 : detail.entityUrn) === item['*socialDetail']);
        return {
            liked: (_a = socialActivityCount === null || socialActivityCount === void 0 ? void 0 : socialActivityCount.liked) !== null && _a !== void 0 ? _a : false,
            threadUrn: socialDetail === null || socialDetail === void 0 ? void 0 : socialDetail.urn,
            activityUrn: (_b = item === null || item === void 0 ? void 0 : item.updateMetadata) === null || _b === void 0 ? void 0 : _b.urn,
            totalComments: socialActivityCount === null || socialActivityCount === void 0 ? void 0 : socialActivityCount.numComments,
            totalShares: socialActivityCount === null || socialActivityCount === void 0 ? void 0 : socialActivityCount.numShares,
            totalLikes: socialActivityCount === null || socialActivityCount === void 0 ? void 0 : socialActivityCount.numLikes,
            miniProfile: miniProfile ? (0, repositories_1.transformMiniProfile)(miniProfile) : undefined,
            postText: (0, utils_1.formatText)((_d = (_c = item === null || item === void 0 ? void 0 : item.commentary) === null || _c === void 0 ? void 0 : _c.text) === null || _d === void 0 ? void 0 : _d.text),
        };
    });
    return newResponse;
};
exports.transformFeed = transformFeed;
//# sourceMappingURL=feed.transformer.js.map