"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatText = exports.extractPublicIdentifier = exports.extractProfileId = exports.getIdFromUrn = exports.transformToProfileIdentifier = exports.transformHeaderImageToProfileId = void 0;
const transformHeaderImageToProfileId = (headerImage) => {
    var _a;
    const imageAttribute = headerImage.attributes.find(attribute => attribute.$type === 'com.linkedin.voyager.dash.common.image.ImageAttribute');
    const profilePicture = imageAttribute === null || imageAttribute === void 0 ? void 0 : imageAttribute.detailData['*profilePicture'];
    return (_a = profilePicture === null || profilePicture === void 0 ? void 0 : profilePicture.replace('urn:li:fsd_profile:', '')) !== null && _a !== void 0 ? _a : '';
};
exports.transformHeaderImageToProfileId = transformHeaderImageToProfileId;
const transformToProfileIdentifier = (actionTarget) => decodeURI(actionTarget.replace('/in/', ''));
exports.transformToProfileIdentifier = transformToProfileIdentifier;
const getIdFromUrn = (urn) => {
    return urn.split(':')[3];
};
exports.getIdFromUrn = getIdFromUrn;
const extractProfileId = (profileUrn) => {
    if (profileUrn.includes('(')) {
        const openingBracketIndex = profileUrn.indexOf('(');
        const bracketSegment = profileUrn.substr(openingBracketIndex + 1);
        const profileId = bracketSegment.split(',')[0];
        return profileId;
    }
    else {
        return profileUrn;
    }
};
exports.extractProfileId = extractProfileId;
const extractPublicIdentifier = (profileUrl) => {
    if (profileUrl.includes('in/')) {
        const fromIndex = profileUrl.indexOf('in/') + 3;
        const publicIdentifier = profileUrl.substr(fromIndex).replace('/', '');
        return publicIdentifier;
    }
    else {
        return profileUrl;
    }
};
exports.extractPublicIdentifier = extractPublicIdentifier;
const formatText = (text) => {
    return text.replace(/\n/g, ' ');
};
exports.formatText = formatText;
//# sourceMappingURL=common.js.map